util.ui

## Class SearchForm

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - util.ui.SearchForm

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class SearchForm
      extends javax.swing.JPanel

  A search form for searching TV listings.
  Author:
    Til Schneider, www.murfman.de
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `LAYOUT_HORIZONTAL`
    `static int` | `LAYOUT_VERTICAL`

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchForm(boolean showHistory, boolean showTimeSelection)` Creates a new search form.
    `SearchForm(boolean showInputfield, boolean showHistory, boolean showTimeSelection)`
    `SearchForm(boolean showInputfield, boolean showHistory, boolean showTimeSelection, int layout)` Creates a new search form.
    `SearchForm(boolean showInputfield, boolean showHistory, boolean showTimeSelection, int layout, boolean showDefaultSelection)` Creates a new search form.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPatternActionListener(java.awt.event.ActionListener listener)` Adds an ActionListener that will be called, when the user presses Enter in the pattern text field.
    `void` | `addPatternChangeListener(javax.swing.event.DocumentListener listener)` Adds a DocumentListener that will be called, when the user types text in the pattern text field.
    `void` | `focusSearchFieldButton()`
    `SearchFormSettings[]` | `getHistory()` Gets the history.
    `int` | `getNrDays()` Gets the selected number of days to use for searching.
    `static ProgramFieldType[]` | `getSearchableFieldTypes()` Gets all the fields that can be used for searching.
    `SearchFormSettings` | `getSearchFormSettings()` Gets the settings from the corresponding UI components.
    `boolean` | `hasFocus()`
    `boolean` | `isSearchFieldsSelectionDialogVisible()`
    `void` | `setHistory(SearchFormSettings[] history)` Sets the history.
    `void` | `setNrDays(int nrDays)` Sets the number of days to use for searching.
    `void` | `setParentDialog(javax.swing.JDialog parent)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setSearchFormSettings(SearchFormSettings settings)` Sets the settings.
    `void` | `setSearchFormSettings(SearchFormSettings settings, boolean updatePattern)` Sets the settings.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LAYOUT_HORIZONTAL

          public static final int LAYOUT_HORIZONTAL

      See Also:
        Constant Field Values

    - #### LAYOUT_VERTICAL

          public static final int LAYOUT_VERTICAL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SearchForm

          public SearchForm(boolean showHistory,
                    boolean showTimeSelection)

      Creates a new search form.
      Parameters:
        `showHistory` - Should there be a history?
        `showTimeSelection` - Should the search time (number of days) be selectable?

    - #### SearchForm

          public SearchForm(boolean showInputfield,
                    boolean showHistory,
                    boolean showTimeSelection)

    - #### SearchForm

          public SearchForm(boolean showInputfield,
                    boolean showHistory,
                    boolean showTimeSelection,
                    int layout)

      Creates a new search form.
      Parameters:
        `showInputfield` - Should there be a Input-Field?
        `showHistory` - Should there be a history?
        `showTimeSelection` - Should the search time (number of days) be selectable?
        `layout` - selection whether the form shall be laid out horizontally or vertically

    - #### SearchForm

          public SearchForm(boolean showInputfield,
                    boolean showHistory,
                    boolean showTimeSelection,
                    int layout,
                    boolean showDefaultSelection)

      Creates a new search form.
      Parameters:
        `showInputfield` - Should there be a Input-Field?
        `showHistory` - Should there be a history?
        `showTimeSelection` - Should the search time (number of days) be selectable?
        `layout` - selection whether the form shall be laid out horizontally or vertically
        `showDefaultSelection` - Should the user be able to set a selected field type array as default?
      Since:
        3.2.1

  - ### Method Detail

    - #### setParentDialog

          public void setParentDialog(javax.swing.JDialog parent)

    - #### addPatternActionListener

          public void addPatternActionListener(java.awt.event.ActionListener listener)

      Adds an ActionListener that will be called, when the user presses Enter in the pattern text field.
      Parameters:
        `listener` - The ActionListener to add

    - #### addPatternChangeListener

          public void addPatternChangeListener(javax.swing.event.DocumentListener listener)

      Adds a DocumentListener that will be called, when the user types text in the pattern text field.
      Parameters:
        `listener` - The DocumentListener to add
      Since:
        3.0

    - #### hasFocus

          public boolean hasFocus()

      Overrides:
        `hasFocus` in class `java.awt.Component`

    - #### setSearchFormSettings

          public void setSearchFormSettings(SearchFormSettings settings)

      Sets the settings. These settings will be assigned to the corresponding UI components.
      Parameters:
        `settings` - The settings to set.

    - #### setSearchFormSettings

          public void setSearchFormSettings(SearchFormSettings settings,
                                   boolean updatePattern)

      Sets the settings. These settings will be assigned to the corresponding UI components.
      Parameters:
        `settings` - The settings to set.
        `updatePattern` - If the pattern text field/combo box should be updated.

    - #### getSearchFormSettings

          public SearchFormSettings getSearchFormSettings()

      Gets the settings from the corresponding UI components.
      Returns:
        The settings the user made.

    - #### setHistory

          public void setHistory(SearchFormSettings[] history)

      Sets the history. The first item of the history will automatically be assigned
      Parameters:
        `history` -

    - #### getHistory

          public SearchFormSettings[] getHistory()

      Gets the history. The returned history will already contain the current settings.
      Returns:
        The history.

    - #### getNrDays

          public int getNrDays()

      Gets the selected number of days to use for searching.
      Returns:
        The selected number of days

    - #### setNrDays

          public void setNrDays(int nrDays)

      Sets the number of days to use for searching.
      Parameters:
        `nrDays` - The number of days

    - #### setPattern

          public void setPattern(java.lang.String pattern)

    - #### getSearchableFieldTypes

          public static final ProgramFieldType[] getSearchableFieldTypes()

      Gets all the fields that can be used for searching. These are all fields, except binaries.
      Returns:
        All searchable fields.

    - #### isSearchFieldsSelectionDialogVisible

          public boolean isSearchFieldsSelectionDialogVisible()

      Returns:
        If the SearchFields selection dialog is visible

    - #### focusSearchFieldButton

          public void focusSearchFieldButton()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)